<?php
session_start();
header("Access-Control-Allow-Origin: *");
require_once("./conexao.php");
date_default_timezone_set('America/Bahia');
$conn   = conn();
$conn_s = conn_s();

$loja_id = @$_SESSION['loja'];

function connWeb(){
   // $db = mysqli_connect("192.185.215.88", "unidosim_newjay", "Chamod777", "unidosim_db_system") or die("Erro ao selecionar banco");
   $db = mysqli_connect("mysql60-farm2.uni5.net", "unidosimportad02", "Xtdc122714", "unidosimportad02") or die("Erro ao selecionar banco");
   //   $db = mysqli_connect("localhost", "root", "", "unidos_web") or die("Erro ao selecionar banco");
   mysqli_set_charset($db,"utf8");
   return $db;
}
$connWeb = connWeb();

define('DB_DRIVER'      , "sqlsrv");
define('DB_HOST'        , "192.168.0.237");
define('DB_USER'        , "projetos");
define('DB_PASSWORD'    , "projetos");
define('DB_NAME'        , "UNI");

function mask($val, $mask)
{
  $maskared = '';
  $k = 0;
  for ($i = 0; $i <= strlen($mask) - 1; ++$i) {
    if ($mask[$i] == '#') {
      if (isset($val[$k])) {
        $maskared .= $val[$k++];
      }
    } else {
      if (isset($mask[$i])) {
        $maskared .= $mask[$i];
      }
    }
  }
  return $maskared;
}

//Conexão SQLSERVER
require_once("./ConnSQLSERVER.php");
$Conexao = ConnSQLSERVER::getConnection();

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

require_once("../utils/phpmailer/Exception.php");
require_once("../utils/phpmailer/PHPMailer.php");
require_once("../utils/phpmailer/SMTP.php");

$var = "";

function retornaSituacao($sit) {
  $descricao = "";
  switch ($sit) {
    case 1: $descricao = "Pendente";break;
    case 2: $descricao = "Aprovado";break;
    case 3: $descricao = "Rejeitado";break;
    default: $descricao = "";break;
  }
  return $descricao;
}

if(empty($_POST)){
	$_POST = $_GET;
	var_dump($_POST);
}

/**
 * Criar nova autorização de faturamento
 */
if ($_POST['cod'] == 1) {
	
  $user_id        = $_SESSION['id_user'];
  $cliente        = $_POST['cliente'];
  $valor1         = str_replace(".","",$_POST['valor_total']);
  $valor          = str_replace(",",".",$valor1);
  
  
  $parcelas       = $_POST['qtd_parcelas'];
  $vencimento     = !empty($_POST['vencimento_parcela']) ? $_POST['vencimento_parcela'] : date("Y-m-d");
  $nota_fiscal    = $_POST['nota_fiscal'];
  $autoriza       = $_POST['autoriza'];
  
  $query    = $Conexao->query("SELECT SQL_CNOMCLI,SQL_CARETEL,SQL_CTELCLI,SQL_CEMAIL,SQL_CARECEL,SQL_CCELCLI,SQL_CCGCCLI FROM CLIENTES_SCR 
	WHERE SQL_CCODCLI = '$cliente'");
  $clienteData = $query->fetch(PDO::FETCH_ASSOC);
  
  
  $nome_cliente = !empty(trim($clienteData['SQL_CNOMCLI'])) ? trim($clienteData['SQL_CNOMCLI']): "";
  
  $tel_cliente = "";
  if (!empty(trim($clienteData['SQL_CTELCLI']))) {
    //telefone
    $tel_cliente = ("(".trim($clienteData['SQL_CARETEL']).")"." ".trim($clienteData['SQL_CTELCLI']));
  }

  $cel_cliente = "";
  if (!empty(trim($clienteData['SQL_CCELCLI']))) {
    //celular
    $cel_cliente = ("(".trim($clienteData['SQL_CARECEL']).")"." ".trim($clienteData['SQL_CCELCLI']));
  }
  
  $email_cliente = !empty(trim($clienteData['SQL_CEMAIL'])) ? trim($clienteData['SQL_CEMAIL']) : "";

  $cliente_cpf_cnpj = !empty(trim($clienteData['SQL_CCGCCLI'])) ? trim($clienteData['SQL_CCGCCLI']) : "";
  
  
	if($autoriza != 0){
		
		  $add = mysqli_query($conn, "INSERT INTO autorizacao_faturamento(
			user_id,
			cliente,
			cliente_nome,
			cliente_cpf_cnpj,
			cliente_tel,
			cliente_cel,
			cliente_email,
			valor,
			parcelas,
			vencimento,
			nota_fiscal,
			autorizacao_regeitada
		  ) VALUES(
			'$user_id',
			'$cliente',
			'$nome_cliente',
			'$cliente_cpf_cnpj',
			'$tel_cliente',
			'$cel_cliente',
			'$email_cliente',
			'$valor',
			'$parcelas',
			'$vencimento',
			'$nota_fiscal',
			'$autoriza'
		  )");
		  
			$ultimo_id = mysqli_insert_id($conn);

		  
		  $att = mysqli_query($conn, "UPDATE autorizacao_faturamento SET situacao_web = '3',status = '1' WHERE id = '".$autoriza."'");
		  $del = mysqli_query($conn, "DELETE FROM `autorizacao_parcelas` WHERE `autorizacao_id` =  '".$autoriza."'");
		  $del2 = mysqli_query($connWeb, "DELETE FROM `autorizacao_faturamento_parcelas_web` WHERE `autorizacao_id` =  '".$autoriza."'");
		  
		  
	}else{
		  $add = mysqli_query($conn, "INSERT INTO autorizacao_faturamento(
			user_id,
			cliente,
			cliente_nome,
			cliente_cpf_cnpj,
			cliente_tel,
			cliente_cel,
			cliente_email,
			valor,
			parcelas,
			vencimento,
			nota_fiscal
		  ) VALUES(
			'$user_id',
			'$cliente',
			'$nome_cliente',
			'$cliente_cpf_cnpj',
			'$tel_cliente',
			'$cel_cliente',
			'$email_cliente',
			'$valor',
			'$parcelas',
			'$vencimento',
			'$nota_fiscal'
		  )");
		  
		      $ultimo_id = mysqli_insert_id($conn);

	}
  
  if ($add) {
    

    $addRel = mysqli_query($conn, "INSERT INTO autorizacao_faturamento_rel(user_id,autorizacao_id,situacao,situacao_antes,obs) 
      VALUES('$user_id','$ultimo_id','1','1','".$_POST['obs']."')");
	  
		$parcela = 1;
	 	for($i = 0; $i < $parcelas; $i++){
			  if($parcelas > 1){
				  $data_vencimento        = $_POST['datevenc'][$i];
				  $valor_parcela_g        = $_POST['valorpac'][$i];
				  
				    $valor1          = str_replace(".","",$valor_parcela_g);
					$valor_parcela          = str_replace(",",".",$valor1);
				  
			  }else{
				  $data_vencimento      = $vencimento;
				  $valor_parcela        = $valor;
			  }
			  
			  $addRel = mysqli_query($conn, "INSERT INTO autorizacao_parcelas(autorizacao_id,numero_parcela,data_vencimento,valor_parcela) 
										  VALUES('$ultimo_id','$parcela','$data_vencimento','$valor_parcela')");
			  $parcela++;
		}

		$var = array(
		  'status'  => true,
		  'msg'     => 'Processo concluído com sucesso!'
		);

  } else {
    $var = array(
      'status'  => false,
      'msg'     => 'Não foi possível concluir o processo, tente novamente.'
    );
  }
  
}

/**
 * Listar clientes pesquisados
 */
if ($_POST['cod'] == 2) {
  $array_clientes = [];
  
  $descricao = $_POST['cliente_pesq'];
	
	$getcliente  = mysqli_query($connWeb, "SELECT C.nome,C.cliente FROM `cod_user` C INNER JOIN cadastro_senha S ON C.cpf=S.cpf_cnpj WHERE S.status = 2 AND C.`codigo` != '' AND C.cliente = '".intval($descricao)."' OR C.nome LIKE '%$descricao%'");

  if (mysqli_num_rows($getcliente) > 0) {
	  
	  while($cliente = mysqli_fetch_array($getcliente)) {
		  array_push($array_clientes, array(
			"nome"  => trim($cliente['nome']),
			"cod"   => trim($cliente['cliente'])
		  ));
	  }
	  
  }
  $var = $array_clientes;
  // verificar envio de resposta
}

/**
 * Excluir Autorização de Faturamento
 */
if ($_POST['cod'] == 3) {
  $id = $_POST['id'];
  $up = mysqli_query($conn, "UPDATE autorizacao_faturamento SET status = '1' WHERE id = '$id'");
  if ($up) {
    $var = array(
      'status'  => true,
      'msg'     => 'Processo concluído com sucesso!'
    );
  } else {
    $var = array(
      'status'  => false,
      'msg'     => 'Não foi possível concluir o processo, tente novamente.'
    );
  }
}

/**
 * Popular parcelas da autorização de faturamento
 */
if ($_POST['cod'] == 4) {
  $id = $_POST['id'];
  $getInfo = mysqli_query($conn, "SELECT id,autorizacao_id,numero_parcela,data_vencimento as data,valor_parcela as valor FROM autorizacao_parcelas WHERE autorizacao_id = '$id'");
  
    $array_parcelas = [];

  while($row = mysqli_fetch_array($getInfo)){
	  array_push($array_parcelas, array(
	  "id"    => $row['id'],
	  "data"    => date("Y-m-d", strtotime($row['data'])),
      "valor"   => number_format($row['valor'],'2','.',',')
    ));
  }
  
  

  $var = $array_parcelas;
}

/**
 * Modificar situação da solicitação
 */
if ($_POST['cod'] == 5) {
  $id           = $_POST['id_mod'];
  $situacao     = $_POST['situacao'];
  $obs          = $_POST['obs'];
  $user_id      = 0;

  $getDataUser = mysqli_query($conn, "SELECT id FROM user 
      WHERE senha = '".md5($_POST['senha'])."' AND senha_block = '1' AND status = '0' AND tipo_user IN ('7','6','5')");
  if (mysqli_num_rows($getDataUser) > 0) {
    $listaDataUser = mysqli_fetch_array($getDataUser);
    $user_id = $listaDataUser['id'];
    $getInfo = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM autorizacao_faturamento WHERE id = '$id'"));
    if ($getInfo['situacao'] != $situacao) {

      $situacao_antiga     = $getInfo['situacao'];

      $up = mysqli_query($conn, "UPDATE autorizacao_faturamento SET situacao = '$situacao' WHERE id = '$id'");
        
      if ($up) {
        $add = mysqli_query($conn, "INSERT INTO autorizacao_faturamento_rel(user_id,autorizacao_id,situacao,situacao_antes,obs) 
          VALUES('$user_id','$id','$situacao','$situacao_antiga','$obs')");

   
        /**
         * Aqui estou verificando se a situação é "Aprovado", se for, então vamos disparar email e whatsapp para o cliente
         */
        if ($situacao == 2) {
			     //PEGAR INFORMAÇÕES DO VENDEDOR
				$getInfoVendedor = mysqli_fetch_array(mysqli_query($conn, "SELECT nome,email_vendedor,loja_id FROM user WHERE id = '".$getInfo['user_id']."'"));
				$getInfoAutoweb  = mysqli_query($connWeb, "SELECT id FROM autorizacao_faturamento_web WHERE id_autorizacao = '".$getInfo['id']."'");
        
			
							   /**
					 * Enviar Solicitação para o banco web
					 */
						 
					  if (mysqli_num_rows($getInfoAutoweb) > 0) {
						 
						$addWeb = mysqli_query($connWeb, "UPDATE autorizacao_faturamento_web SET
						  num_nota = '". $getInfo['nota_fiscal'] ."',
						  valor = '". $getInfo['valor'] ."',
						  parcelas = '". $getInfo['parcelas'] ."',
						  vencimento = '". $getInfo['vencimento'] ."' WHERE id_autorizacao = '".$getInfo['id']."'");
					  }else{
						  
						  $addWeb = mysqli_query($connWeb, "INSERT INTO autorizacao_faturamento_web(
						  id_autorizacao,
						  cliente_id,
						  vendedor,
						  data_solicitacao,
						  num_nota,
						  valor,
						  parcelas,
						  email_vendedor,
						  loja_id,
						  vencimento
						)
						  VALUES(
							  '". $getInfo['id'] ."',
							  '". $getInfo['cliente'] ."',
							  '". $getInfoVendedor['nome'] ."',
							  '". $getInfo['data_cadastro'] ."',
							  '". $getInfo['nota_fiscal'] ."',
							  '". $getInfo['valor'] ."',
							  '". $getInfo['parcelas'] ."',
							  '". $getInfoVendedor['email_vendedor'] ."',
							  '". $getInfoVendedor['loja_id'] ."',
							  '". $getInfo['vencimento'] ."'
						  )");
						  
							$getPar = mysqli_query($conn, "SELECT * FROM autorizacao_parcelas WHERE autorizacao_id =  '".$getInfo['id']."'");
							
							 while($row = mysqli_fetch_array($getPar)){

								 $addWeb2 = mysqli_query($connWeb, "INSERT INTO autorizacao_faturamento_parcelas_web(
									  autorizacao_id,
									  valor_parcela	,
									  numero_parcela,
									  data_vencimento_parcela
									)
									  VALUES(
										  '". $getInfo['id'] ."',
										  '". $row['valor_parcela'] ."',
										  '". $row['numero_parcela'] ."',
										  '". $row['data_vencimento'] ."'
									  )");
								
								
							 }
						  
				  }  
						
			
			
			
			
			
			
			
          $email_corpo = "";

          //montar corpo do email
          $email_corpo .= "
            <h4>Olá, ".$getInfo['cliente_nome']."</h4>

            <p>A Unidos Importados quer gerar um faturamento para você no valor de R$".number_format($getInfo['valor'],'2','.',',').", para x".$getInfo['parcelas']." parcela(s).</p>
            <p>Precisamos que você autorize este faturamento, para isso acesso o link abaixo, faça login com sua senha e autorize o faturamento pendente.</p>
            <p><a href='http://unidosimportados.com.br/painel' target='_blank'>Clique aqui para ver o faturamento.</a></p>
            <hr>
            <p>Caso não tenha solicitado esta autorização de faturamento apenas ignore este contato.</p>
          ";

          $whatsapp_corpo = "";
          $whatsapp_corpo .= "Olá, ".$getInfo['cliente_nome']."\n"; 
          $whatsapp_corpo .= "A Unidos Importados quer gerar um faturamento para você no valor de R$".number_format($getInfo['valor'],'2','.',',').", para x".$getInfo['parcelas']." parcela(s).\n"; 
          $whatsapp_corpo .= "Precisamos que você autorize este faturamento, para isso acesso o link abaixo, faça login com sua senha e autorize o faturamento pendente. \n"; 
          $whatsapp_corpo .= "http://unidosimportados.com.br/painel \n"; 
          $whatsapp_corpo .= "Caso não tenha solicitado esta autorização de faturamento apenas ignore este contato."; 

          $mail = new PHPMailer(true);
          $mail->isSMTP();
          $mail->CharSet    = 'UTF-8';
				  // $mail->Host       = 'smtp.uni5.net';
				  $mail->Host       = 'mail.unidosimportados.com.br';
			    $mail->SMTPAuth   = true;
			    $mail->Username   = 'autorizacao@unidosimportados.com.br';
				  $mail->Password   = 'xtdc1227';
				  // $mail->Password   = 'RROuniFS@1103';
			    $mail->SMTPSecure = 'tls';
			    $mail->Port       = 587;

          $mail->setFrom('autorizacao@unidosimportados.com.br', 'Unidos Importados');
          $mail->addAddress($getInfo['cliente_email'], $getInfo['cliente_nome']);
  		    $mail->addAddress('teste@unidosimportados.com.br', 'Unidos - Autorização de faturamento');

          $mail->isHTML(true);
          $mail->Subject = "Autorização de Faturamento - Unidos Importados";
          $mail->Body    = $email_corpo;
          $mail->AltBody = $email_corpo;
          $variavel = $mail->send();
        }

        $var = array(
          'status'  => true,
          'msg'     => 'Processo concluído com sucesso!'
        );
		
      } else {
        $var = array(
          'status'  => false,
          'msg'     => 'Falha no processo.'
        );
      }

    } else {
      $var = array(
        'status'  => false,
        'msg'     => 'A situação já está imposta.'
      );
    }
  } else {
    $var = array(
      'status'  => false,
      'msg'     => 'Senha não identificada'
    );
  }
}

/**
 * Modificar situação da solicitação
 */
if ($_POST['cod'] == 6) {
  
  $vencimento = $_POST['vencimento_parcela'];
  
  $valor1          = str_replace(".","",$_POST['valor_total']);
  $valor          = str_replace(",",".",$valor1);
  
  
  
  $parcelas = $_POST['qtd_parcelas'];
  $nota_fiscal = $_POST['nota_fiscal'];
  $obs = $_POST['obs'];
  $id_esc = $_POST['id_esc'];
  $user_id = $_SESSION['id_user'];

  $up = mysqli_query($conn, "UPDATE autorizacao_faturamento 
    SET vencimento = '$vencimento', valor = '$valor', parcelas = '$parcelas', nota_fiscal = '$nota_fiscal', situacao = '1' 
    WHERE id = '$id_esc'");
  if ($up) {
    $add = mysqli_query($conn, "INSERT INTO autorizacao_faturamento_rel(user_id,autorizacao_id,situacao,situacao_antes,obs) 
      VALUES('$user_id','$id_esc','1','3','$obs')");
	  
	  $del = mysqli_query($conn, "DELETE FROM `autorizacao_parcelas` WHERE `autorizacao_id` =  '$id_esc'");
	  
	  $parcela = 1;
	  $total_soma = 0;
	  
	 	for($i = 0; $i < $parcelas; $i++){
			  if($parcelas > 1){
				  $data_vencimento      = $_POST['datevenc'][$i];
				  $valor_parcela_g      = $_POST['valorpac'][$i];
				  
				    $valor1          = str_replace(".","",$valor_parcela_g);
					$valor_parcela          = str_replace(",",".",$valor1);
					$total_soma += $valor_parcela;
			  }else{
				  $data_vencimento      = $vencimento;
				  $valor_parcela        = $valor;
				  $total_soma           = $valor;
			  }
			  
			  $addRel = mysqli_query($conn, "INSERT INTO autorizacao_parcelas(autorizacao_id,numero_parcela,data_vencimento,valor_parcela) 
										  VALUES('$id_esc','$parcela','$data_vencimento','$valor_parcela')");
			  $parcela++;
		}
	  
	  
	  if($total_soma < $valor){
		  
		    $valor_parcela = $total_soma / $parcelas;
		    $addRel = mysqli_query($conn, "UPDATE `autorizacao_parcelas` SET `valor_parcela` = '$valor_parcela' WHERE autorizacao_id = '$id_esc'");
			 
		  
	  }
	  

    $var = array(
      'status'  => true,
      'msg'     => 'Processo concluído com sucesso!'
    ); 
  } else {
    $var = array(
      'status'  => false,
      'msg'     => 'Falha no processo.'
    );
  }
}

/**
 * Popular relatório da solicitação
 */
if ($_POST['cod'] == 7) {
  $id = $_POST['id'];
  $array = [];

  $getAll = mysqli_query($conn, "SELECT * FROM autorizacao_faturamento_rel WHERE autorizacao_id = '$id' ORDER BY id ASC");
  if (mysqli_num_rows($getAll) > 0) {

    while ($lista = mysqli_fetch_array($getAll)) {

      //pegar info do user
      $getInfoUser = mysqli_fetch_array(mysqli_query($conn, "SELECT nome FROM user WHERE id = '".$lista['user_id']."'"));

      //Situacao atual
      $situacao = retornaSituacao($lista['situacao']);

      //Situacao antiga
      $situacao_antes = retornaSituacao($lista['situacao_antes']);

      array_push($array,array(
        "data" => date("d-m-Y H:i:s", strtotime($lista['data_cadastro'])),
        "user" => $getInfoUser['nome'],
        "situacao" => $situacao,
        "antiga_situacao" => $situacao_antes,
        "obs" => empty($lista['obs']) ? "" : $lista['obs']
      ));

    }

    $var = $array;

  }
}

/**
 * Listar Solicitações
 */
if ($_POST['cod'] == 8) {
  $qtd_listados  = $_POST['qtd_listados'];
  $data_de       = $_POST['data_de'];
  $data_ate      = $_POST['data_ate'];
  $situacao_pesq = $_POST['situacao_pesq'];
  $vendedor_pesq = $_POST['vendedor_pesq'];

  if ($_SESSION['tipo_user'] == 1 || $_SESSION['tipo_user'] == 6 || $_SESSION['tipo_user'] == 5 || $_SESSION['tipo_user'] == 7) {  
  	if ($_SESSION['loja'] != 'todas') {
    	$pesquisa = "SELECT * FROM autorizacao_faturamento WHERE EXISTS(SELECT * FROM user WHERE loja_id = $loja_id AND id = autorizacao_faturamento.user_id) AND ";
  	} else {	
    	$pesquisa = "SELECT * FROM autorizacao_faturamento WHERE ";
  	}
    
    if (!empty($data_de) && empty($data_ate)) {
      $pesquisa .= " CAST(data_cadastro as DATE) = '$data_de' AND ";
    }

    if (empty($data_de) && !empty($data_ate)) {
      $pesquisa .= " CAST(data_cadastro as DATE) = '$data_ate' AND ";
    }

    if (!empty($data_de) && !empty($data_ate)) {
      $pesquisa .= " CAST(data_cadastro as DATE) BETWEEN '$data_de' AND '$data_ate' AND ";
    }

    if (!empty($situacao_pesq)) {
      $pesquisa .= " situacao = '$situacao_pesq' AND ";
    } else {
      $pesquisa .= " situacao IN('1','2','3') AND ";
    }

    if (!empty($vendedor_pesq)) {
      $pesquisa .= " user_id = '$vendedor_pesq' AND ";
    }

    if ($_SESSION['tipo_user'] == 1) {
      $pesquisa .= " user_id = '".$_SESSION['id_user']."' AND status = '0' ORDER BY id DESC LIMIT $qtd_listados";
    } else if ($_SESSION['tipo_user'] == 7 || $_SESSION['tipo_user'] == 6 || $_SESSION['tipo_user'] == 5) {
      $pesquisa .= " status = '0' ORDER BY id DESC LIMIT $qtd_listados";
    }
	
		// ATUALIZANDO RETORNO
			$getAutorizacoes = mysqli_query($connWeb, "SELECT * FROM autorizacao_faturamento_web 
			   WHERE situacao IN ('2','3') AND termos_accept IN ('1','2') AND control_import = '0'");
			if (mysqli_num_rows($getAutorizacoes) > 0) {
				$var2  = "";
			   while ($value = mysqli_fetch_array($getAutorizacoes)) {

				  $apt = $value['situacao'] == 2 ? 1 : 2;

				  /**
				   * Atualizar no banco local a situação deste faturamento
				   */
				  $att = mysqli_query($conn, "UPDATE autorizacao_faturamento 
					SET situacao_web = '".$apt."', text_web = '".$value['obs']."',
					pdf_doc = '".$value['pdf_doc']."' 
					WHERE id = '".$value['id_autorizacao']."'");

					if ($att) {
					  $up_control  = mysqli_query($connWeb, "UPDATE autorizacao_faturamento_web 
						SET control_import = '1' 
						WHERE id = '".$value['id']."'");
					}
						$var2  .= $value['id'].",";
			   }
			}else{
					$var2  = "ZERADO AUTORIZACOES";
					
			}
		// ATUALIZANDO RETORNO

    $array = [];

    $query = mysqli_query($conn,$pesquisa);
    $total_encontrados = mysqli_num_rows($query);
    if ($total_encontrados > 0) {
      while ($lista = mysqli_fetch_array($query)) {

        //Vendedor
        $getInfoUser = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM user WHERE id = '".$lista['user_id']."'"));

        //CPF ou CNPJ
        $cpf_cnpj = "";
        if (!empty($lista['cliente_cpf_cnpj'])) {
          if (strlen($lista['cliente_cpf_cnpj']) > 11) {
            if (strlen($lista['cliente_cpf_cnpj']) == 13) {
              $cpf_cnpj = mask('0'.$lista['cliente_cpf_cnpj'], '##.###.###/####-##');
            } else {
              $cpf_cnpj = mask($lista['cliente_cpf_cnpj'], '##.###.###/####-##');
            }
            
          } else {
            $cpf_cnpj = mask($lista['cliente_cpf_cnpj'], '###.###.###-##');
          }
        }

	  		if($getInfoUser['loja_id']){
      		$SQL = "SELECT * FROM uni_lojas WHERE id = ".$getInfoUser['loja_id'];
	  			$getloja = mysqli_fetch_array(mysqli_query($conn_s, $SQL));
	  		} else {
	  			$getloja['nome'] = "";
	  		}


        array_push($array,array(
          'id'  => $lista['id'],
          'data_cadastro' => date("d-m-Y H:i:s", strtotime($lista['data_cadastro'])),
          'user_id'       => $lista['user_id'],
          'cliente'       => $lista['cliente'],
          'cliente_nome'  => $lista['cliente_nome'],
          'cliente_tel'   => $lista['cliente_tel'],
          'cliente_email' => $lista['cliente_email'],
          'valor'         => $lista['valor'],
          'valor_formatado'  => number_format($lista['valor'],"2",",","."),
          'parcelas'         => $lista['parcelas'],
          'vencimento'       => $lista['vencimento'],
          'vencimento_formatado'  => date("d-m-Y", strtotime($lista['vencimento'])),
          'nota_fiscal'  => $lista['nota_fiscal'],
          'situacao'     => $lista['situacao'],
          'tipo_user'    => $_SESSION['tipo_user'],
          'nome'         => $getInfoUser['nome'],
          'cpf_cnpj'     => $cpf_cnpj,
          'situacao_web' => $lista['situacao_web'],
          'text_web'     => $lista['text_web'],
          'pdf_doc'      => $lista['pdf_doc'],
          'loja'         => $getloja['nome'],
        ));
      }
    }
    
    $var = $array;

  } else {
    $var = true;
  }
}

if ($_POST['cod'] == 9) {
  //pegar total de solicitações
  if ($_SESSION['tipo_user'] == 1) {
    $getTotal = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE user_id = '".$_SESSION['id_user']."' AND status = '0'"));
  } else if ($_SESSION['tipo_user'] == 5 || $_SESSION['tipo_user'] == 6 || $_SESSION['tipo_user'] == 7) {
    $getTotal = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE  status = '0'"));
  }
  $total_solicitacoes = $getTotal;

  //pegar total de aprovadas
  if ($_SESSION['tipo_user'] == 1) {
    $getTotalAprovadas = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE situacao = '2' AND user_id = '".$_SESSION['id_user']."' AND status = '0'"));
  } else if ($_SESSION['tipo_user'] == 5 || $_SESSION['tipo_user'] == 6 || $_SESSION['tipo_user'] == 7) {
    $getTotalAprovadas = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE situacao = '2' AND  status = '0'"));
  }
  $total_solicitacoes_aprovadas = $getTotalAprovadas;

  //pegar total de reprovadas
  if ($_SESSION['tipo_user'] == 1) {
    $getTotalReprovadas = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE situacao = '3' AND user_id = '".$_SESSION['id_user']."' AND status = '0'"));
  } else if ($_SESSION['tipo_user'] == 5 || $_SESSION['tipo_user'] == 6 || $_SESSION['tipo_user'] == 7) {
    $getTotalReprovadas = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE situacao = '3' AND  status = '0'"));
  }
  $total_solicitacoes_reprovadas = $getTotalReprovadas;

  //pegar total de abertas
  if ($_SESSION['tipo_user'] == 1) {
    $getTotalAbertas = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE situacao = '1' AND user_id = '".$_SESSION['id_user']."' AND status = '0'"));
  } else if ($_SESSION['tipo_user'] == 5 || $_SESSION['tipo_user'] == 6 || $_SESSION['tipo_user'] == 7) {
    $getTotalAbertas = mysqli_num_rows(mysqli_query($conn, "SELECT id FROM autorizacao_faturamento WHERE situacao = '1' AND  status = '0'"));
  }
  $total_solicitacoes_abertas = $getTotalAbertas;

  $var = array(
    "total_solicitacoes" => $total_solicitacoes,
    "total_solicitacoes_aprovadas" => $total_solicitacoes_aprovadas,
    "total_solicitacoes_reprovadas" => $total_solicitacoes_reprovadas,
    "total_solicitacoes_abertas" => $total_solicitacoes_abertas,
  );
}

if ($_POST['cod'] == 10) {
	
  $id = $_POST['id'];
  $getInfo = mysqli_fetch_array(mysqli_query($conn, "SELECT * FROM `autorizacao_faturamento` WHERE `id` = '$id'"));  

	  $getInfo2 = mysqli_query($conn, "SELECT id,data_vencimento as data,valor_parcela as valor FROM autorizacao_parcelas WHERE autorizacao_id = '$id'");

	  $array_parcelas = [];

	  while($row = mysqli_fetch_array($getInfo2)){
		  array_push($array_parcelas, array(
		  "data"    => date("Y-m-d", strtotime($row['data'])),
		  "valor"   => number_format($row['valor'],'2','.',',')
		));
	  }
	
	$arr[0] = $getInfo;;
	$arr[1] = $array_parcelas;;

  $var = $arr;
}

if ($_POST['cod'] == 11) {
	
	$parcelas = count($_POST['id']);
	 	for($i = 0; $i < $parcelas; $i++){
			
				  $data_vencimento      = $_POST['data_edit'][$i];
				  $valor_parcela        = $_POST['valor_total_edit'][$i];
				  $id        = $_POST['id'][$i];
			 
			  
			  $addRel = mysqli_query($conn, "UPDATE `autorizacao_parcelas` SET `data_vencimento`='$data_vencimento',`valor_parcela`='$valor_parcela' WHERE id = $id");
		}
	  $var = $addRel;
}

echo json_encode($var); 